Get Bazaar Listings
curl --request GET \
--url https://api.example.com/api/bazaar/listingsimport requests
url = "https://api.example.com/api/bazaar/listings"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/bazaar/listings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Bazaar (Authenticated)
Get Bazaar Listings
Get active sell orders for items, skins, and tools
GET
/
api
/
bazaar
/
listings
Get Bazaar Listings
number
default:"1"
Page number
number
default:"50"
Results per page (max 100)
string
Filter by item code
string
Filter:
ITEM, TOOL, SKIN, or FURNITUREnumber
Minimum price
number
Maximum price
string
default:"createdAt"
Sort field:
createdAt, perItemPrice, or amountstring
default:"desc"
asc or descRequires
x-api-token header.Response Fields
| Field | Description |
|---|---|
| listings[].itemCode | Item code |
| listings[].itemName | Translated item name |
| listings[].amount | Quantity listed |
| listings[].price | Total listing price (BORNE) |
| listings[].perItemPrice | Price per unit (BORNE) |
| listings[].seller | Seller info (username, equippedOutfit) |
| pagination | Page info |
| aggregatedStats.count | Total number of matching listings |
| aggregatedStats.totalVolume | Sum of all listing prices (BORNE) |
| aggregatedStats.avgPricePerUnit | Average per-unit price |
| aggregatedStats.highestPricePerUnit | Highest per-unit price |
| aggregatedStats.lowestPricePerUnit | Lowest per-unit price |
Was this page helpful?
⌘I
